org.icefaces.ace.model.chart

## Class BubbleSeries

- java.lang.Object
- - org.icefaces.ace.model.chart.ChartSeries
  - - org.icefaces.ace.model.chart.BubbleSeries

- All Implemented Interfaces:
    java.io.Serializable

      public class BubbleSeries
      extends ChartSeries

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `BubbleSeries.BubbleType`

    - ### Nested classes/interfaces inherited from class org.icefaces.ace.model.chart.ChartSeries

      `ChartSeries.ChartType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BubbleSeries()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(java.lang.Object x, java.lang.Object y, int magnitude)` Add a new bubble to this set of bubbles.
    `void` | `add(java.lang.Object x, java.lang.Object y, int magnitude, java.lang.String label)` Add a new bubble to this set of bubbles.
    `void` | `encodeRendererOptions(JSONBuilder cfg)`
    `java.lang.Boolean` | `getAutoscaleBubbles()` Get if the series scales the bubbles based on plot scale.
    `java.lang.Double` | `getAutoscaleMultiplier()` Get a multiplier to modify the size of autoscaled bubble radius
    `java.lang.Double` | `getAutoscalePointsFactor()` Get factor which decreases bubble size based on how many bubbles are on on the chart.
    `java.lang.Integer` | `getBubbleAlpha()` Get the percentage of opacity for the bubble points.
    `JSONBuilder` | `getConfigJSON(javax.faces.component.UIComponent component)` Used by the ChartRenderer to produce a JSON representation of the data of this series.
    `JSONBuilder` | `getDataJSON(javax.faces.component.UIComponent chart)` Used by the ChartRenderer to produce a JSON representation of the configuration of this series.
    `ChartSeries.ChartType` | `getDefaultType()`
    `java.lang.Boolean` | `getEscapeHtml()` Get if the series escapes HTML in the bubble labels.
    `java.lang.Integer` | `getHighlightAlpha()` Get the percentage of opacity for a bubble point when hovered over.
    `java.lang.String[]` | `getHighlightColors()` Get the list of CSS color definitions to be applied to the bubbles when highlighted.
    `java.lang.Boolean` | `getHighlightMouseDown()` Get if the highlighter is triggered when using a mouse button over a bubble.
    `java.lang.Boolean` | `getHighlightMouseOver()` Get if the highlighter is triggered when mousing over a bubble.
    `java.lang.Boolean` | `getShowLabels()` Get if the labels are shown on each bubble.
    `java.lang.Boolean` | `getVaryBubbleColors()` Get if this series will vary rendered bubble colors.
    `java.lang.Boolean` | `isBubbleGradients()` Get if this series colors the bubbles with gradients instead of normal colors.
    `void` | `setAutoscaleBubbles(java.lang.Boolean autoscaleBubbles)` Set if the series scales the bubbles based on plot scale.
    `void` | `setAutoscaleMultiplier(java.lang.Double autoscaleMultiplier)` Set a multiplier to modify the size of autoscaled bubble radius
    `void` | `setAutoscalePointsFactor(java.lang.Double autoscalePointsFactor)` Set factor which decreases bubble size based on how many bubbles are on on the chart.
    `void` | `setBubbleAlpha(java.lang.Integer bubbleAlpha)` Set the percentage of opacity for the bubble points.
    `void` | `setBubbleGradients(java.lang.Boolean bubbleGradients)` Get if this series colors the bubbles with gradients instead of normal colors.
    `void` | `setEscapeHtml(java.lang.Boolean escapeHtml)` Set if the series escapes HTML in the bubble labels.
    `void` | `setHighlightAlpha(java.lang.Integer highlightAlpha)` Set the percentage of opacity for a bubble point when hovered over.
    `void` | `setHighlightColors(java.lang.String[] highlightColors)` Set the list of CSS color definitions to be applied to the bubbles when highlighted.
    `void` | `setHighlightMouseDown(java.lang.Boolean highlightMouseDown)` Set if the highlighter is triggered when using a mouse button over a bubble.
    `void` | `setHighlightMouseOver(java.lang.Boolean highlightMouseOver)` Set if the highlighter is triggered when mousing over a bubble.
    `void` | `setShowLabels(java.lang.Boolean showLabels)` Set if the labels are shown on each bubble.
    `void` | `setVaryBubbleColors(java.lang.Boolean varyBubbleColors)` Set if this series will vary rendered bubble colors.

    - ### Methods inherited from class org.icefaces.ace.model.chart.ChartSeries

      `clear, getColor, getData, getFill, getFillAlpha, getFillToZero, getLabel, getLineCap, getLineJoin, getLineWidth, getSeriesColors, getShadow, getShadowAlpha, getShadowAngle, getShadowDepth, getShadowOffset, getShow, getShowMarker, getType, getUseNegativeColors, getXAxis, getYAxis, setColor, setData, setFill, setFillAlpha, setFillToZero, setInCfgObject, setInCfgObject, setInCfgObject, setInCfgObject, setLabel, setLineCap, setLineJoin, setLineWidth, setSeriesColors, setShadow, setShadowAlpha, setShadowAngle, setShadowDepth, setShadowOffset, setShow, setShowMarker, setType, setUseNegativeColors, setXAxis, setYAxis`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BubbleSeries

          public BubbleSeries()

  - ### Method Detail

    - #### add

          public void add(java.lang.Object x,
                          java.lang.Object y,
                          int magnitude)

      Add a new bubble to this set of bubbles.
      Parameters:
        `x` - x tick of the bubble
        `y` - y tick of the bubble
        `magnitude` - the area of the bubble

    - #### add

          public void add(java.lang.Object x,
                          java.lang.Object y,
                          int magnitude,
                          java.lang.String label)

      Add a new bubble to this set of bubbles.
      Parameters:
        `x` - x tick of the bubble
        `y` - y tick of the bubble
        `magnitude` - the area of the bubble
        `label` - the label of this bubble

    - #### getDataJSON

          public JSONBuilder getDataJSON(javax.faces.component.UIComponent chart)

      Used by the ChartRenderer to produce a JSON representation of the configuration of this series.
      Overrides:
        `getDataJSON` in class `ChartSeries`
      Parameters:
        `chart` -
      Returns:
        the serialized JSON object

    - #### encodeRendererOptions

          public void encodeRendererOptions(JSONBuilder cfg)

      Specified by:
        `encodeRendererOptions` in class `ChartSeries`

    - #### getConfigJSON

          public JSONBuilder getConfigJSON(javax.faces.component.UIComponent component)

      Used by the ChartRenderer to produce a JSON representation of the data of this series.
      Overrides:
        `getConfigJSON` in class `ChartSeries`
      Parameters:
        `component` -
      Returns:
        the JSON object

    - #### getDefaultType

          public ChartSeries.ChartType getDefaultType()

      Specified by:
        `getDefaultType` in class `ChartSeries`

    - #### isBubbleGradients

          public java.lang.Boolean isBubbleGradients()

      Get if this series colors the bubbles with gradients instead of normal colors.
      Returns:
        enable gradient boolean

    - #### setBubbleGradients

          public void setBubbleGradients(java.lang.Boolean bubbleGradients)

      Get if this series colors the bubbles with gradients instead of normal colors.
      Parameters:
        `bubbleGradients` - enable gradient boolean

    - #### getBubbleAlpha

          public java.lang.Integer getBubbleAlpha()

      Get the percentage of opacity for the bubble points.
      Returns:
        integer value 0 to 100

    - #### setBubbleAlpha

          public void setBubbleAlpha(java.lang.Integer bubbleAlpha)

      Set the percentage of opacity for the bubble points.
      Parameters:
        `bubbleAlpha` - integer value 0 to 100

    - #### getShowLabels

          public java.lang.Boolean getShowLabels()

      Get if the labels are shown on each bubble.
      Returns:
        show bubble label boolean

    - #### setShowLabels

          public void setShowLabels(java.lang.Boolean showLabels)

      Set if the labels are shown on each bubble.
      Parameters:
        `showLabels` - show bubble label boolean

    - #### getHighlightAlpha

          public java.lang.Integer getHighlightAlpha()

      Get the percentage of opacity for a bubble point when hovered over.
      Returns:
        integer value 0 to 100

    - #### setHighlightAlpha

          public void setHighlightAlpha(java.lang.Integer highlightAlpha)

      Set the percentage of opacity for a bubble point when hovered over.
      Parameters:
        `highlightAlpha` - integer value 0 to 100

    - #### getVaryBubbleColors

          public java.lang.Boolean getVaryBubbleColors()

      Get if this series will vary rendered bubble colors. If true, bubble colors are supplied by the seriesColors property or the default JQPlot vector of colors. If there are more bubbles than colors, the colors will loop. If false, the bubble color is supplied by the color property.
      Returns:
        enable varied bubble colors

    - #### setVaryBubbleColors

          public void setVaryBubbleColors(java.lang.Boolean varyBubbleColors)

      Set if this series will vary rendered bubble colors. If true, bubble colors are supplied by the seriesColors property or the default JQPlot vector of colors. If there are more bubbles than colors, the colors will loop. If false, the bubble color is supplied by the color property.
      Parameters:
        `varyBubbleColors` -

    - #### getEscapeHtml

          public java.lang.Boolean getEscapeHtml()

      Get if the series escapes HTML in the bubble labels.
      Returns:
        enable label html escaping boolean

    - #### setEscapeHtml

          public void setEscapeHtml(java.lang.Boolean escapeHtml)

      Set if the series escapes HTML in the bubble labels.
      Parameters:
        `escapeHtml` - enable label html escaping boolean

    - #### getAutoscaleBubbles

          public java.lang.Boolean getAutoscaleBubbles()

      Get if the series scales the bubbles based on plot scale. If false, the radius value given is interpreted as raw pixel radius.
      Returns:
        scale bubble by plot size boolean

    - #### setAutoscaleBubbles

          public void setAutoscaleBubbles(java.lang.Boolean autoscaleBubbles)

      Set if the series scales the bubbles based on plot scale. If false, the radius value given is interpreted as raw pixel radius.
      Parameters:
        `autoscaleBubbles` - scale bubble by plot size boolean

    - #### getAutoscaleMultiplier

          public java.lang.Double getAutoscaleMultiplier()

      Get a multiplier to modify the size of autoscaled bubble radius
      Returns:
        positive double value

    - #### setAutoscaleMultiplier

          public void setAutoscaleMultiplier(java.lang.Double autoscaleMultiplier)

      Set a multiplier to modify the size of autoscaled bubble radius
      Parameters:
        `autoscaleMultiplier` - positive double value

    - #### getAutoscalePointsFactor

          public java.lang.Double getAutoscalePointsFactor()

      Get factor which decreases bubble size based on how many bubbles are on on the chart. 0 means no adjustment for number of bubbles. Negative values will decrease size of bubbles as more bubbles are added. Values between 0 and -0.2 should work well.
      Returns:
        point factor

    - #### setAutoscalePointsFactor

          public void setAutoscalePointsFactor(java.lang.Double autoscalePointsFactor)

      Set factor which decreases bubble size based on how many bubbles are on on the chart. 0 means no adjustment for number of bubbles. Negative values will decrease size of bubbles as more bubbles are added. Values between 0 and -0.2 should work well.
      Parameters:
        `autoscalePointsFactor` - double value

    - #### getHighlightMouseOver

          public java.lang.Boolean getHighlightMouseOver()

      Get if the highlighter is triggered when mousing over a bubble.
      Returns:
        mouse over highlight enabled

    - #### setHighlightMouseOver

          public void setHighlightMouseOver(java.lang.Boolean highlightMouseOver)

      Set if the highlighter is triggered when mousing over a bubble.
      Parameters:
        `highlightMouseOver` - mouse over highlight enabled

    - #### getHighlightMouseDown

          public java.lang.Boolean getHighlightMouseDown()

      Get if the highlighter is triggered when using a mouse button over a bubble. HighlightMouseOver must be false if this property is enabled.
      Returns:
        mouse button highlight enabled

    - #### setHighlightMouseDown

          public void setHighlightMouseDown(java.lang.Boolean highlightMouseDown)

      Set if the highlighter is triggered when using a mouse button over a bubble. HighlightMouseOver must be false if this property is enabled.
      Parameters:
        `highlightMouseDown` - mouse button highlight enabled

    - #### getHighlightColors

          public java.lang.String[] getHighlightColors()

      Get the list of CSS color definitions to be applied to the bubbles when highlighted.
      Returns:
        array of String CSS color definitions

    - #### setHighlightColors

          public void setHighlightColors(java.lang.String[] highlightColors)

      Set the list of CSS color definitions to be applied to the bubbles when highlighted.
      Parameters:
        `highlightColors` - array of String CSS color definitions

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.